if (PACKAGE_map-controller)

menu "Configurations"

config CONTROLLER_SYNC_DYNAMIC_CNTLR_CONFIG
	bool "Support Dynamic Controller configuration sync"
	default y if MULTIAP_DYNAMIC_CNTLR_SYNC_CONFIG

config CONTROLLER_EASYMESH_VENDOR_EXT
	bool "Enable extra features through Easymesh vendor extension"
	default y

config CONTROLLER_PROVISION_DISABLED_AP
	depends on CONTROLLER_EASYMESH_VENDOR_EXT
	bool "Enable vendor extension that provisions disabled APs to agents"
	default n

config CONTROLLER_PROVISION_BRIDGE
	depends on CONTROLLER_EASYMESH_VENDOR_EXT
	bool "Enable vendor extension that provisions custom bridge for APs to agents, if configured"
	default n

config CONTROLLER_EASYMESH_VENDOR_EXT_OUI_DEFAULT
	hex "Vendor OUI default"
	default 0xB456FA

config CONTROLLER_EASYMESH_VERSION
	int "Support Easymesh version"
	default 6

config CONTROLLER_EASYMESH_VENDOR_EXT_OUI
	hex "Vendor OUI in 0xAABBCC format"
	default CONTROLLER_EASYMESH_VENDOR_EXT_OUI_DEFAULT
	help
	Extra features not covered by the base EasyMesh specification can be
	enabled through CONTROLLER_EASYMESH_VENDOR_EXT. Please provide the Vendor's OUI
	through which such features would be exposed.

config CONTROLLER_USE_LIBDPP
	bool "Depend on libdpp for DPP EasyConnect"

config CONTROLLER_ZEROTOUCH_DPP
	bool "Enable Zero-touch DPP bootstrapping via passphrase."
	default n

config CONTROLLER_PROPAGATE_PROBE_REQ
	depends on CONTROLLER_EASYMESH_VENDOR_EXT
	bool "Enable publishing probe requests vendor specific messages as UBUS events"
	default y

endmenu
endif
